## org.eclipse.jetty.servlet
Class NoJspServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.eclipse.jetty.servlet.NoJspServlet

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

    public class NoJspServlet

extends HttpServlet

See Also:
  Serialized Form

Constructor Summary
`NoJspServlet()`

Method Summary
`protected void` `doGet(HttpServletRequest req, HttpServletResponse response)` Called by the server (via the `service` method) to allow a servlet to handle a GET request.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoJspServlet

    public NoJspServlet()

Method Detail

### doGet

    protected void doGet(HttpServletRequest req,
                         HttpServletResponse response)
                  throws ServletException,
                         java.io.IOException

  Description copied from class: `HttpServlet`
  Called by the server (via the `service` method) to allow a servlet to handle a GET request.

  Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.

  When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a `PrintWriter` object to return the response, set the content type before accessing the `PrintWriter` object.

  The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.

  Where possible, set the Content-Length header (with the `ServletResponse.setContentLength(int)` method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.

  When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.

  The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.

  The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.

  If the request is incorrectly formatted, `doGet` returns an HTTP "Bad Request" message.

  Overrides:
    `doGet` in class `HttpServlet`
  Parameters:
    `req` - an `HttpServletRequest` object that contains the request the client has made of the servlet
    `response` - an `HttpServletResponse` object that contains the response the servlet sends to the client
  Throws:
    `ServletException` - if the request for the GET could not be handled
    `java.io.IOException` - if an input or output error is detected when the servlet handles the GET request
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.